![AWESOME CHEATSHEETS LOGO](_images/awesome_cheatsheets_logo@2x.png)

[![Awesome](https://awesome.re/badge.svg)](https://awesome.re) [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/LeCoupa/awesome-cheatsheets/blob/master/LICENSE)

> 📚 Awesome cheatsheets for popular programming languages, frameworks and development tools. They include everything you should know in one single file.

> ❤️ **If you like this repository, [you can click here to tweet it and make it spread](https://ctt.ec/PHba4).**


## 🤔 Why Awesome-Cheatsheets?

I always make a cheatsheet when I want to improve my skills on a programming language, a framework or a development tool. [I started doing these kind of things a long time ago on Gist](https://gist.github.com/LeCoupa) To better keep track of the history and to let people contribute to them, I reorganized everything into this  single repository. Most of the content is coming from official documentations and some books I have read.

Feel free to browse each cheatsheet to learn new things and to keep them at hand when you forgot about one command. They have been designed to provide a quick way to assess your knowledge and to save you time.


## 🙌🏼 How to Contribute?

You are more than welcome to contribute and build your own cheatsheet for your favorite programming language, framework or development tool. Just submit changes via pull request and I will review them before merging.


## 📚 Table of Contents

### 📃 Languages

<details>
<summary>View cheatsheets</summary>

#### Command line interface

* [Bash](languages/bash.sh)

#### Imperative

* [PHP](languages/php.php)

#### Functional

* [JavaScript](languages/javascript.js)
</details>


### 📦 Backend

<details>
<summary>View cheatsheets</summary>

#### Python

* [Django](backend/django.py)

#### Javascript
  
* [Feathers.js](backend/feathers.js)
* [Moleculer](backend/moleculer.js)
* [Node.js](backend/node.js)
</details>


### 🌐 Frontend

<details>
<summary>View cheatsheets</summary>

#### Basics

* [HTML5](frontend/html5.html)

#### Frameworks

* [Vue.js](frontend/vue.js)
</details>


### 🗃️ Databases

<details>
<summary>View cheatsheets</summary>

#### NoSQL

* [Redis](databases/redis.sh)
</details>


### 🔧 Tools

<details>
<summary>View cheatsheets</summary>

#### Development

* [VIM](tools/vim.txt)
* [Xcode](tools/xcode.txt)

#### Infrastructure

* [Docker](tools/docker.sh)
* [Kubernetes](tools/kubernetes.sh)
* [Nanobox Boxfile](tools/nanobox_boxfile.yml)
* [Nanobox CLI](tools/nanobox_cli.sh)
</details>


## 🙏🏻 Contribution

<table>
  <tr>
    <td align="center">
      <a href="https://anyleads.com/" target="_blank"><img src="https://pbs.twimg.com/profile_images/838140522476761094/A4WpBe5M_400x400.jpg" height="64" /></a>
    </td>
    <td align="center">
      <a href="https://crisp.chat/" target="_blank"><img src="https://pbs.twimg.com/profile_images/651629444944273408/r5Kd_ifq_400x400.png" height="64" /></a>
    </td>
    <td align="center">
      <a href="https://hackr.io/" target="_blank"><img src="https://d1eq8vvyuam4eq.cloudfront.net/assets/images/code-images/code-apple-touch-icon-precomposed.png" height="64" /></a>
    </td>
    <td align="center">
      <a href="https://learnk8s.io/" target="_blank"><img src="https://pbs.twimg.com/profile_images/925127335573114880/9yCkEIe3_400x400.jpg" height="64" /></a>
    </td>
  </tr>
</table>

> 👋 Do you want your company to be listed there? Contribute with a cheatsheet for your favorite programming language, framework or development tool.
